Open CASCADE Technology: PColStd_HArray1OfPersistent Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColStd_HArray1OfPersistent Class Reference

`#include <PColStd_HArray1OfPersistent.hxx>`

Inheritance diagram for PColStd_HArray1OfPersistent:
[legend]

## Public Member Functions
| PColStd_HArray1OfPersistent (const Standard_Integer Low, const Standard_Integer Up)
| PColStd_HArray1OfPersistent (const Standard_Integer Low, const Standard_Integer Up, const Handle< Standard_Persistent > &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
void | SetValue (const Standard_Integer Index, const Handle< Standard_Persistent > &Value)
Standard_Integer | Upper () const
Handle< Standard_Persistent > | Value (const Standard_Integer Index) const
| PColStd_HArray1OfPersistent ()
| PColStd_HArray1OfPersistent (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfPersistentLowerBound () const
void | _CSFDB_SetPColStd_HArray1OfPersistentLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfPersistentUpperBound () const
void | _CSFDB_SetPColStd_HArray1OfPersistentUpperBound (const Standard_Integer p)
const PColStd_FieldOfHArray1OfPersistent & | _CSFDB_GetPColStd_HArray1OfPersistentData () const
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle< Standard_Persistent > & | V
| ) |  |

PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( |  | ) |
| inline

PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PColStd_FieldOfHArray1OfPersistent& PColStd_HArray1OfPersistent::_CSFDB_GetPColStd_HArray1OfPersistentData | ( |  | ) | const
| inline

Standard_Integer PColStd_HArray1OfPersistent::_CSFDB_GetPColStd_HArray1OfPersistentLowerBound | ( |  | ) | const
| inline

Standard_Integer PColStd_HArray1OfPersistent::_CSFDB_GetPColStd_HArray1OfPersistentUpperBound | ( |  | ) | const
| inline

void PColStd_HArray1OfPersistent::_CSFDB_SetPColStd_HArray1OfPersistentLowerBound | ( | const Standard_Integer | p | ) |
| inline

void PColStd_HArray1OfPersistent::_CSFDB_SetPColStd_HArray1OfPersistentUpperBound | ( | const Standard_Integer | p | ) |
| inline

Standard_Integer PColStd_HArray1OfPersistent::Length | ( |  | ) | const

Standard_Integer PColStd_HArray1OfPersistent::Lower | ( |  | ) | const

void PColStd_HArray1OfPersistent::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< Standard_Persistent > & | Value
| ) |  |

Standard_Integer PColStd_HArray1OfPersistent::Upper | ( |  | ) | const

Handle< Standard_Persistent > PColStd_HArray1OfPersistent::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PColStd_HArray1OfPersistent.hxx